Subject: Re: bug#79047: Add some multi-character pairs to some major modes.

From: Alan Mackenzie <[email-masked]>
Date: Sat, 19 Jul 2025 11:00:21 +0000

Hello, Eli.

Thanks for the heads up!

On Sat, Jul 19, 2025 at 09:42:52 +0300, Eli Zaretskii wrote:
> > From: Elijah Gabe Pérez <[email-masked]>
> > Date: Fri, 18 Jul 2025 20:04:12 -0600

> > Since `electric-pair-mode` now supports multi-character pairs, it would
> > be better if some major modes add some of these pairs.

> > Before making the patch for this (and to avoid doing another regression
> > like bug#77823), here is a list of the modes and their possible pairs:

> >  - c-like modes
> >      "/*" "*/"

Elijah, I'm speaking here from the point of view of CC Mode.

What exactly do you mean by "adding" these multi-character pairs?  What
would the user see that she doesn't already see?

Or are you talking about doing something we already do, but in a
different way?

> >  - lua-ts-mode
> >      "--[" "--]"
> >  - texinfo-mode (idk which others one) (based in a Stefan Monnier idea)
> >      "``" "''"
> >  - lisp-mode (common-lisp-mode)
> >     "#|" "|#"

> > What do you think?

> When discussing in a bug report issues related to some specific
> packages, it is usually a good idea to CC the authors/developers of
> those packages, because we cannot be sure they track the bug-gnu-emacs
> list all the time.

> I've now added people who I think are relevant to your proposal.

> Thanks.

-- 
Alan Mackenzie (Nuremberg, Germany).